package dev.shadowsoffire.apotheosis.util;

import dev.shadowsoffire.placebo.util.EnchantmentUtils;

public class ApothMiscUtil
{
    public static int getExpCostForSlot(final int level, final int slot) {
        int cost = 0;
        for (int i = 0; i <= slot; ++i) {
            cost += EnchantmentUtils.getExperienceForLevel(level - i);
        }
        return cost - 1;
    }
    
    public static int[] doubleUpGradient(final int[] data) {
        final int[] out = new int[data.length * 2];
        System.arraycopy(data, 0, out, 0, data.length);
        for (int i = data.length - 1; i >= 0; --i) {
            out[data.length * 2 - 1 - i] = data[i];
        }
        return out;
    }
}
